commit: 9217b2bb0616bc135f4b33e790227e9af57d3c76
Author: Horea Christian <horea.christ <AT> yandex <DOT> com>
AuthorDate: Sat Mar 11 16:11:07 2017 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sat Mar 11 16:11:07 2017 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=9217b2bb
dev-tex/pythontex: version bump (#736)
* dev-tex/pythontex: version bump
Package-Manager: Portage-2.3.3, Repoman-2.3.1
* dev-tex/pythontex: migrated to EAPI 6
Package-Manager: Portage-2.3.3, Repoman-2.3.1
dev-tex/pythontex/pythontex-0.15.ebuild | 55 +++++++++++++++++++++++++++++++++
1 file changed, 55 insertions(+)
diff --git a/dev-tex/pythontex/pythontex-0.15.ebuild
b/dev-tex/pythontex/pythontex-0.15.ebuild
new file mode 100644
index 000000000..6526b9fc6
--- /dev/null
+++ b/dev-tex/pythontex/pythontex-0.15.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit latex-package python-r1
+
+DESCRIPTION="Fast Access to Python from within LaTeX"
+HOMEPAGE="https://github.com/gpoore/pythontex"
+SRC_URI="https://github.com/gpoore/pythontex/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+SLOT="0"
+LICENSE="LPPL-1.3 BSD"
+KEYWORDS="~amd64"
+IUSE="highlighting"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}
+ >=dev-texlive/texlive-latex-2016"
+RDEPEND="${DEPEND}
+ >=dev-texlive/texlive-latex-2016
+ highlighting? ( dev-python/pygments[${PYTHON_USEDEP}] )"
+
+TEXMF=/usr/share/texmf-site
+
+src_compile() {
+ cd ${PN} || die
+ ebegin "Compiling ${PN}"
+ rm ${PN}.sty || die
+ VARTEXFONTS="${T}/fonts" latex ${PN}.ins extra || die
+ eend
+}
+
+src_install() {
+ dodoc ${PN}/README "${S}"/*rst ${PN}_quickstart/*
+
+ cd ${PN} || die
+
+ installation() {
+ if python_is_python3; then
+ python_domodule {de,}${PN}3.py
+ else
+ python_domodule {de,}${PN}2.py
+ fi
+ python_domodule ${PN}_{engines,utils}.py
+ python_doscript {de,}${PN}.py syncpdb.py
+ python_optimize
+ }
+ python_foreach_impl installation
+
+ latex-package_src_doinstall dtx ins sty
+}